/**
 * netprefs-component-angular - NetPrefs Angular Component
 * @version v0.5.5
 * @author RDA
 * @link https://github.com/rdacorporation/netprefs-component-angular#readme
 * @license MIT
 */
(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("@angular/core"), require("@angular/common/http"), require("rxjs/Rx"), require("@angular/common"), require("@angular/forms"));
	else if(typeof define === 'function' && define.amd)
		define(["@angular/core", "@angular/common/http", "rxjs/Rx", "@angular/common", "@angular/forms"], factory);
	else if(typeof exports === 'object')
		exports["ticktock"] = factory(require("@angular/core"), require("@angular/common/http"), require("rxjs/Rx"), require("@angular/common"), require("@angular/forms"));
	else
		root["ticktock"] = factory(root["ng"]["core"], root["ng"]["commonHttp"], root["Rx"], root["ng"]["common"], root["ng"]["forms"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE_0__, __WEBPACK_EXTERNAL_MODULE_6__, __WEBPACK_EXTERNAL_MODULE_10__, __WEBPACK_EXTERNAL_MODULE_42__, __WEBPACK_EXTERNAL_MODULE_43__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 7);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_0__;

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(8));
__export(__webpack_require__(11));


/***/ }),
/* 2 */
/***/ (function(module, exports) {

/*
	MIT License http://www.opensource.org/licenses/mit-license.php
	Author Tobias Koppers @sokra
*/
// css base code, injected by the css-loader
module.exports = function(useSourceMap) {
	var list = [];

	// return the list of modules as css string
	list.toString = function toString() {
		return this.map(function (item) {
			var content = cssWithMappingToString(item, useSourceMap);
			if(item[2]) {
				return "@media " + item[2] + "{" + content + "}";
			} else {
				return content;
			}
		}).join("");
	};

	// import a list of modules into the list
	list.i = function(modules, mediaQuery) {
		if(typeof modules === "string")
			modules = [[null, modules, ""]];
		var alreadyImportedModules = {};
		for(var i = 0; i < this.length; i++) {
			var id = this[i][0];
			if(typeof id === "number")
				alreadyImportedModules[id] = true;
		}
		for(i = 0; i < modules.length; i++) {
			var item = modules[i];
			// skip already imported module
			// this implementation is not 100% perfect for weird media query combinations
			//  when a module is imported multiple times with different media queries.
			//  I hope this will never occur (Hey this way we have smaller bundles)
			if(typeof item[0] !== "number" || !alreadyImportedModules[item[0]]) {
				if(mediaQuery && !item[2]) {
					item[2] = mediaQuery;
				} else if(mediaQuery) {
					item[2] = "(" + item[2] + ") and (" + mediaQuery + ")";
				}
				list.push(item);
			}
		}
	};
	return list;
};

function cssWithMappingToString(item, useSourceMap) {
	var content = item[1] || '';
	var cssMapping = item[3];
	if (!cssMapping) {
		return content;
	}

	if (useSourceMap && typeof btoa === 'function') {
		var sourceMapping = toComment(cssMapping);
		var sourceURLs = cssMapping.sources.map(function (source) {
			return '/*# sourceURL=' + cssMapping.sourceRoot + source + ' */'
		});

		return [content].concat(sourceURLs).concat([sourceMapping]).join('\n');
	}

	return [content].join('\n');
}

// Adapted from convert-source-map (MIT)
function toComment(sourceMap) {
	// eslint-disable-next-line no-undef
	var base64 = btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap))));
	var data = 'sourceMappingURL=data:application/json;charset=utf-8;base64,' + base64;

	return '/*# ' + data + ' */';
}


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(12));
__export(__webpack_require__(17));
__export(__webpack_require__(22));
__export(__webpack_require__(25));
__export(__webpack_require__(30));
__export(__webpack_require__(35));


/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var CustomerPreference = /** @class */ (function () {
    function CustomerPreference() {
    }
    return CustomerPreference;
}());
exports.CustomerPreference = CustomerPreference;
var DeliveryOption = /** @class */ (function () {
    function DeliveryOption() {
    }
    Object.defineProperty(DeliveryOption.prototype, "value", {
        get: function () {
            return this._value;
        },
        set: function (v) {
            this._value = v;
            var emailPattern = /^\w+@[a-zA-Z_]+?\.[a-zA-Z]{2,3}$/;
            var phonePattern = /^[\+]?[(]?[0-9]{3}[)]?[-\s\.]?[0-9]{3}[-\s\.]?[0-9]{4,6}$/im;
            if (emailPattern.test(v)) {
                this.deliveryType = 'email';
            }
            else if (phonePattern.test(v)) {
                this.deliveryType = 'text';
            }
        },
        enumerable: true,
        configurable: true
    });
    return DeliveryOption;
}());
exports.DeliveryOption = DeliveryOption;
var AlertPreference = /** @class */ (function () {
    function AlertPreference() {
    }
    return AlertPreference;
}());
exports.AlertPreference = AlertPreference;
var AlertDef = /** @class */ (function () {
    function AlertDef() {
    }
    return AlertDef;
}());
exports.AlertDef = AlertDef;
var AlertDefParameter = /** @class */ (function () {
    function AlertDefParameter() {
    }
    return AlertDefParameter;
}());
exports.AlertDefParameter = AlertDefParameter;
var AlertPrefParameter = /** @class */ (function () {
    function AlertPrefParameter() {
    }
    return AlertPrefParameter;
}());
exports.AlertPrefParameter = AlertPrefParameter;


/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var http_1 = __webpack_require__(6);
var api = 'http://np-service.azurewebsites.net/api';
// const api = 'http://localhost:3001/api';
var PreferenceService = /** @class */ (function () {
    function PreferenceService(http) {
        this.http = http;
    }
    PreferenceService.prototype.getCustomerPreference = function (clientId, token) {
        return this.http.get(api + "/prefs/" + clientId + "/" + token);
    };
    PreferenceService.prototype.updateCustomerPreference = function (pref) {
        return this.http.put(api + "/prefs/" + pref.clientId + "/" + pref.token, pref);
    };
    PreferenceService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [http_1.HttpClient])
    ], PreferenceService);
    return PreferenceService;
}());
exports.PreferenceService = PreferenceService;


/***/ }),
/* 6 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_6__;

/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var services_1 = __webpack_require__(1);
exports.TickTockService = services_1.TickTockService;
var components_1 = __webpack_require__(3);
exports.TickTockComponent = components_1.TickTockComponent;
var tick_tock_module_1 = __webpack_require__(40);
exports.TickTockModule = tick_tock_module_1.TickTockModule;
var services_2 = __webpack_require__(1);
exports.PreferenceService = services_2.PreferenceService;
var components_2 = __webpack_require__(3);
exports.AlertcardComponent = components_2.AlertcardComponent;
exports.DeliveryoptionsComponent = components_2.DeliveryoptionsComponent;
exports.PreferenceComponent = components_2.PreferenceComponent;
exports.SliderComponent = components_2.SliderComponent;
var netprefs_module_1 = __webpack_require__(41);
exports.NetprefsModule = netprefs_module_1.NetprefsModule;


/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(9));


/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var Rx_1 = __webpack_require__(10);
/**
 * TickTockService class.
 */
var TickTockService = /** @class */ (function () {
    function TickTockService() {
        /**
         * Set up timer frequency.
         * @type {number}
         */
        this.TIMEOUT = 1000;
    }
    TickTockService_1 = TickTockService;
    /**
     * Extend time value with zero if required.
     * @param value
     * @returns {string}
     */
    TickTockService.formatTimeNumber = function (value) {
        var stringValue = value.toString();
        return ('0' + stringValue).slice(-2);
    };
    /**
     * Get current time string.
     * @returns {string}
     */
    TickTockService.getNowString = function () {
        var date = new Date();
        var hours = TickTockService_1.formatTimeNumber(date.getHours());
        var minutes = TickTockService_1.formatTimeNumber(date.getMinutes());
        var seconds = TickTockService_1.formatTimeNumber(date.getSeconds());
        return hours + ":" + minutes + ":" + seconds;
    };
    /**
     * Get current time observable.
     * @returns Observable<string>
     */
    TickTockService.prototype.getTick = function () {
        return Rx_1.Observable
            .timer(0, this.TIMEOUT)
            .map(function (tick) { return TickTockService_1.getNowString(); });
    };
    TickTockService = TickTockService_1 = __decorate([
        core_1.Injectable()
    ], TickTockService);
    return TickTockService;
    var TickTockService_1;
}());
exports.TickTockService = TickTockService;


/***/ }),
/* 10 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_10__;

/***/ }),
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(5));


/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(13));


/***/ }),
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var SliderComponent = /** @class */ (function () {
    function SliderComponent() {
        this.stateChange = new core_1.EventEmitter();
    }
    SliderComponent.prototype.ngOnInit = function () {
    };
    SliderComponent.prototype.toggleSlider = function () {
        this.state = !this.state;
        this.stateChange.emit(this.state);
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], SliderComponent.prototype, "state", void 0);
    __decorate([
        core_1.Output(),
        __metadata("design:type", core_1.EventEmitter)
    ], SliderComponent.prototype, "stateChange", void 0);
    SliderComponent = __decorate([
        core_1.Component({
            selector: 'np-slider',
            template: __webpack_require__(14),
            styles: [__webpack_require__(15)]
        })
    ], SliderComponent);
    return SliderComponent;
}());
exports.SliderComponent = SliderComponent;


/***/ }),
/* 14 */
/***/ (function(module, exports) {

module.exports = "<div (click)=\"toggleSlider()\">\r\n    <div class=\"np-slider\" [ngClass]=\"{ 'np-slider-on': state, 'np-slider-off': !state }\">\r\n        <span class=\"np-slider-switch\"></span>\r\n      <span class=\"np-slider-on-value\">On</span>\r\n      <span class=\"np-slider-off-value\">Off</span>\r\n    </div>\r\n</div>\r\n"

/***/ }),
/* 15 */
/***/ (function(module, exports, __webpack_require__) {


        var result = __webpack_require__(16);

        if (typeof result === "string") {
            module.exports = result;
        } else {
            module.exports = result.toString();
        }
    

/***/ }),
/* 16 */
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(2)(undefined);
// imports


// module
exports.push([module.i, ".np-slider {\r\n  background-color: #999;\r\n  width: 80px;\r\n  height: 32px;\r\n  border-radius: 20px;\r\n  position: relative;\r\n  cursor: pointer;\r\n}\r\n\r\n.np-slider.np-slider-on .np-slider-on-value {\r\n  float: right;\r\n  display: block;\r\n}\r\n\r\n.np-slider.np-slider-on {\r\n  background-color: #00710f;\r\n}\r\n\r\n.np-slider.np-slider-on .np-slider-switch {\r\n  left: 3px;\r\n}\r\n\r\n.np-slider.np-slider-off .np-slider-switch {\r\n  left: 51px;\r\n}\r\n\r\n.np-slider .np-slider-switch {\r\n  position: absolute;\r\n  top: 3px;\r\n  width: 26px;\r\n  height: 26px;\r\n  border-radius: 50%;\r\n  -webkit-transition: all 100ms ease;\r\n  transition: all 100ms ease;\r\n  background-color: #fff;\r\n}\r\n\r\n.np-slider .np-slider-off-value, .np-slider .np-slider-on-value {\r\n  display: none;\r\n  line-height: 32px;\r\n  font-weight: 700;\r\n  text-align: center;\r\n  color: #fff;\r\n  width: 54px;\r\n  height: 32px;\r\n}\r\n.np-slider.np-slider-off .np-slider-off-value {\r\n  float: left;\r\n  display: block;\r\n}\r\n", ""]);

// exports


/***/ }),
/* 17 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(18));


/***/ }),
/* 18 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var preference_1 = __webpack_require__(4);
var AlertcardComponent = /** @class */ (function () {
    function AlertcardComponent() {
        this.save = new core_1.EventEmitter();
    }
    // User clicked a delivery option checkbox
    AlertcardComponent.prototype.deliveryOptionChanged = function (id) {
        var foundAt = this.deliverTo.indexOf(id);
        if (foundAt >= 0) {
            // Remove
            this.deliverTo.splice(foundAt, 1);
        }
        else {
            // Add
            this.deliverTo.push(id);
        }
        this.isDirty = true;
    };
    AlertcardComponent.prototype.ngOnInit = function () {
        this.isDirty = false;
        // Save the original values passed into this component
        this.active = this.alertPref.active;
        this.deliverTo = new Array();
        for (var _i = 0, _a = this.alertPref.deliverTo; _i < _a.length; _i++) {
            var i = _a[_i];
            this.deliverTo.push(i);
        }
        // Combine parameter defintion and value into one array
        this.parameters = new Array();
        var alertDefParameters = this.alertPref.alertDef.parameters;
        var _loop_1 = function (parameter) {
            var pref = this_1.alertPref.parameters.find(function (p) { return p.parameterId === parameter.id; });
            var value = this_1.externalParameters ? this_1.externalParameters[parameter.id.toLowerCase()] : null;
            if (!value) {
                value = pref ? pref.value : '';
            }
            this_1.parameters.push({ id: parameter.id, label: parameter.label, value: value });
        };
        var this_1 = this;
        for (var _b = 0, alertDefParameters_1 = alertDefParameters; _b < alertDefParameters_1.length; _b++) {
            var parameter = alertDefParameters_1[_b];
            _loop_1(parameter);
        }
    };
    AlertcardComponent.prototype.statusChanged = function () {
        this.isDirty = true;
        // If turning off, then go ahead and save
        if (!this.active) {
            this.savePref();
        }
    };
    AlertcardComponent.prototype.parameterChanged = function () {
        this.isDirty = true;
    };
    // Save the user inputs back to the passed in preference object
    AlertcardComponent.prototype.savePref = function () {
        this.alertPref.active = this.active;
        this.alertPref.deliverTo = new Array();
        for (var _i = 0, _a = this.deliverTo; _i < _a.length; _i++) {
            var i = _a[_i];
            this.alertPref.deliverTo.push(i);
        }
        this.alertPref.parameters = new Array();
        for (var _b = 0, _c = this.parameters; _b < _c.length; _b++) {
            var p = _c[_b];
            this.alertPref.parameters.push({ parameterId: p.id, value: p.value });
        }
        this.isDirty = false;
        this.save.emit(null);
    };
    // Reinitilaze with original values
    AlertcardComponent.prototype.cancelPref = function () {
        this.ngOnInit();
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", preference_1.AlertPreference)
    ], AlertcardComponent.prototype, "alertPref", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Array)
    ], AlertcardComponent.prototype, "deliveryOptions", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], AlertcardComponent.prototype, "externalParameters", void 0);
    __decorate([
        core_1.Output(),
        __metadata("design:type", core_1.EventEmitter)
    ], AlertcardComponent.prototype, "save", void 0);
    AlertcardComponent = __decorate([
        core_1.Component({
            selector: 'np-alertcard',
            template: __webpack_require__(19),
            styles: [__webpack_require__(20)]
        })
    ], AlertcardComponent);
    return AlertcardComponent;
}());
exports.AlertcardComponent = AlertcardComponent;
var ParameterInput = /** @class */ (function () {
    function ParameterInput() {
    }
    return ParameterInput;
}());
exports.ParameterInput = ParameterInput;


/***/ }),
/* 19 */
/***/ (function(module, exports) {

module.exports = "<div class=\"card fluid\">\r\n  <div class=\"section\">\r\n    <div>\r\n      <div>\r\n        <div style=\"float:right;\">\r\n          <np-slider [(state)]=\"active\" (stateChange)=\"statusChanged()\"></np-slider>\r\n        </div>\r\n        <div class=\"np-alert-name\">{{alertPref.alertDef.name}}</div>\r\n        <div class=\"np-alert-description\">{{alertPref.alertDef.description}}</div>\r\n      </div>\r\n    </div>\r\n    <div *ngIf=\"active\">\r\n      <div class=\"np-alert-parameters\">\r\n        <div  *ngFor=\"let parameter of parameters\">\r\n          <div *ngIf=\"parameter.label\">\r\n            <label>{{parameter.label}}</label>\r\n            <input  [(ngModel)]=\"parameter.value\" (keyup)=\"parameterChanged()\">\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class=\"np-alert-deliver-to\">\r\n        <label for=\"options\">Deliver To:</label>\r\n        <div *ngFor=\"let option of deliveryOptions\">\r\n          <div *ngIf=\"option.id\">\r\n            <input type=\"checkbox\" name=\"options\" value=\"{{option.id}}\" id=\"option{{alertPref.alertId}}{{option.id}}\" tabindex=\"0\" (click)=\"deliveryOptionChanged(option.id)\"\r\n              [checked]=\"this.deliverTo.indexOf(option.id) >= 0\">\r\n            <label for=\"option{{alertPref.alertId}}{{option.id}}\">{{option.name || option.value}}</label>\r\n            <svg *ngIf=\"option.deliveryType =='text'\" class=\"np-icon\"><use xlink:href=\"#chat\" /></svg>\r\n            <svg *ngIf=\"option.deliveryType =='email'\" class=\"np-icon\"><use xlink:href=\"#email\" /></svg>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div>\r\n        <span *ngIf=\"isDirty\" class=\"np-alert-save-cancel\">\r\n          <button  (click)=\"savePref()\">Save</button>\r\n          <button  (click)=\"cancelPref()\">Cancel</button>\r\n        </span>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>\r\n"

/***/ }),
/* 20 */
/***/ (function(module, exports, __webpack_require__) {


        var result = __webpack_require__(21);

        if (typeof result === "string") {
            module.exports = result;
        } else {
            module.exports = result.toString();
        }
    

/***/ }),
/* 21 */
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(2)(undefined);
// imports


// module
exports.push([module.i, "\r\nh1, h2, h3, h4, h5, h6 {\r\n  line-height: 1.2em;\r\n  margin: 0.75rem 0.5rem;\r\n  font-weight: 500;\r\n}\r\n\r\nh1 small, h2 small, h3 small, h4 small, h5 small, h6 small {\r\n  color: #424242;\r\n  display: block;\r\n  margin-top: -0.25rem;\r\n}\r\n.np-icon {\r\n  width: 16px;\r\n  height: 13px;\r\n}\r\n.np-alert-name{\r\n  font-weight: bold;\r\n  font-size: 12pt;\r\n}\r\n.np-alert-description{\r\n  font-size: 12pt;\r\n}\r\n\r\n/*\r\n  Definitions for cards and containers.\r\n*/\r\n.card {\r\n  display: -webkit-box;\r\n  -webkit-box-orient: vertical;\r\n  -webkit-box-pack: justify;\r\n  -webkit-box-align: center;\r\n  display: -webkit-flex;\r\n  display: flex;\r\n  -webkit-flex-direction: column;\r\n  flex-direction: column;\r\n  -webkit-justify-content: space-between;\r\n  justify-content: space-between;\r\n  -webkit-align-self: center;\r\n  align-self: center;\r\n  position: relative;\r\n  width: 100%;\r\n  background: #fafafa;\r\n  border: 0.0625rem solid #acacac;\r\n  margin: 0.5rem;\r\n  overflow: hidden;\r\n}\r\n\r\n.card > .section {\r\n  box-sizing: border-box;\r\n  margin: 0;\r\n  border: 0;\r\n  border-radius: 0;\r\n  border-bottom: 0.0625rem solid #c9c9c9;\r\n  padding: 0.5rem;\r\n  width: 100%;\r\n}\r\n\r\n.card > .section:last-child {\r\n  border-bottom: 0;\r\n}\r\n\r\n@media screen and (min-width: 320px) {\r\n  .card {\r\n    max-width: 320px;\r\n  }\r\n}\r\n\r\n.card.fluid {\r\n  max-width: 100%;\r\n  width: auto;\r\n}\r\n\r\n.np-alert-parameters {\r\n  float: left;\r\n  padding: 20px;\r\n}\r\n\r\n.np-alert-deliver-to {\r\n  float: left;\r\n  padding: 20px;\r\n}\r\n\r\n.np-alert-save-cancel {\r\n  float:right;\r\n  padding: 10px;\r\n}\r\n\r\n\r\n", ""]);

// exports


/***/ }),
/* 22 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(23));


/***/ }),
/* 23 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var preference_service_1 = __webpack_require__(5);
var PreferenceComponent = /** @class */ (function () {
    function PreferenceComponent(prefService) {
        this.prefService = prefService;
        this.dirty = false;
    }
    PreferenceComponent.prototype.ngOnInit = function () {
        if (this.token && this.clientId) {
            this.getCustomerPreference();
        }
    };
    PreferenceComponent.prototype.ngOnChanges = function (changes) {
        if (this.token && this.clientId) {
            this.getCustomerPreference();
        }
    };
    PreferenceComponent.prototype.getCustomerPreference = function () {
        var _this = this;
        return this.prefService.getCustomerPreference(this.clientId, this.token).subscribe(function (pref) {
            _this.customerPreference = pref;
        });
    };
    PreferenceComponent.prototype.saveCustomerPreference = function () {
        var _this = this;
        this.prefService.updateCustomerPreference(this.customerPreference).subscribe(function () {
            _this.dirty = false;
        });
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], PreferenceComponent.prototype, "token", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], PreferenceComponent.prototype, "clientId", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], PreferenceComponent.prototype, "externalParameters", void 0);
    PreferenceComponent = __decorate([
        core_1.Component({
            selector: 'np-preferences',
            template: __webpack_require__(24)
        }),
        __metadata("design:paramtypes", [preference_service_1.PreferenceService])
    ], PreferenceComponent);
    return PreferenceComponent;
}());
exports.PreferenceComponent = PreferenceComponent;


/***/ }),
/* 24 */
/***/ (function(module, exports) {

module.exports = "<svg xmlns=\"http://www.w3.org/2000/svg\" style=\"display: none;\"><symbol id=\"chat\" viewBox=\"0 0 511.626 511.626\"><title>black</title><path d=\"M477.371,127.44c-22.843-28.074-53.871-50.249-93.076-66.523c-39.204-16.272-82.035-24.41-128.478-24.41 c-34.643,0-67.762,4.805-99.357,14.417c-31.595,9.611-58.812,22.602-81.653,38.97c-22.845,16.37-41.018,35.832-54.534,58.385 C6.757,170.833,0,194.484,0,219.228c0,28.549,8.61,55.3,25.837,80.234c17.227,24.931,40.778,45.871,70.664,62.811 c-2.096,7.611-4.57,14.846-7.426,21.693c-2.855,6.852-5.424,12.474-7.708,16.851c-2.286,4.377-5.376,9.233-9.281,14.562 c-3.899,5.328-6.849,9.089-8.848,11.275c-1.997,2.19-5.28,5.812-9.851,10.849c-4.565,5.048-7.517,8.329-8.848,9.855 c-0.193,0.089-0.953,0.952-2.285,2.567c-1.331,1.615-1.999,2.423-1.999,2.423l-1.713,2.566c-0.953,1.431-1.381,2.334-1.287,2.707 c0.096,0.373-0.094,1.331-0.57,2.851c-0.477,1.526-0.428,2.669,0.142,3.433v0.284c0.765,3.429,2.43,6.187,4.998,8.277 c2.568,2.092,5.474,2.95,8.708,2.563c12.375-1.522,23.223-3.606,32.548-6.276c49.87-12.758,93.649-35.782,131.334-69.097 c14.272,1.522,28.072,2.286,41.396,2.286c46.442,0,89.271-8.138,128.479-24.417c39.208-16.272,70.233-38.448,93.072-66.517 c22.843-28.062,34.263-58.663,34.263-91.781C511.626,186.108,500.207,155.509,477.371,127.44z\"/></symbol><symbol id=\"phone-call\" viewBox=\"0 0 438.536 438.536\"><title>telephone-symbol-button</title><path d=\"M414.41,24.123C398.333,8.042,378.963,0,356.315,0H82.228C59.58,0,40.21,8.042,24.126,24.123 C8.045,40.207,0.003,59.576,0.003,82.225v274.084c0,22.647,8.042,42.018,24.123,58.102c16.084,16.084,35.454,24.126,58.102,24.126 h274.084c22.648,0,42.018-8.042,58.095-24.126c16.084-16.084,24.126-35.454,24.126-58.102V82.225 C438.532,59.576,430.49,40.204,414.41,24.123z M359.159,332.874c-3.997,8.754-12.99,16.371-26.977,22.846 c-13.99,6.475-26.413,9.712-37.265,9.712c-3.046,0-6.283-0.235-9.708-0.711c-3.426-0.479-6.324-0.952-8.703-1.428 c-2.378-0.476-5.523-1.331-9.421-2.57c-3.905-1.234-6.715-2.189-8.422-2.854c-1.718-0.664-4.856-1.854-9.421-3.566 c-4.569-1.718-7.427-2.765-8.562-3.138c-31.215-11.427-61.721-32.028-91.507-61.814c-29.786-29.793-50.391-60.292-61.812-91.502 c-0.378-1.143-1.425-3.999-3.14-8.565c-1.712-4.565-2.905-7.708-3.571-9.419c-0.662-1.713-1.615-4.521-2.853-8.42 c-1.237-3.903-2.091-7.041-2.568-9.423c-0.478-2.376-0.95-5.277-1.427-8.704c-0.476-3.427-0.713-6.667-0.713-9.71 c0-10.85,3.237-23.269,9.71-37.259c6.472-13.988,14.084-22.981,22.841-26.979c10.088-4.189,19.7-6.283,28.837-6.283 c2.091,0,3.616,0.192,4.565,0.572c0.953,0.385,2.524,2.094,4.714,5.14c2.19,3.046,4.568,6.899,7.137,11.563 c2.57,4.665,5.092,9.186,7.566,13.562c2.474,4.377,4.854,8.705,7.139,12.991c2.284,4.279,3.711,6.995,4.281,8.133 c0.571,0.957,1.809,2.762,3.711,5.429c1.902,2.663,3.333,5.039,4.283,7.135c0.95,2.094,1.427,4.093,1.427,5.996 c0,2.859-1.953,6.331-5.854,10.42c-3.903,4.093-8.186,7.854-12.85,11.281s-8.945,7.092-12.847,10.994 c-3.899,3.899-5.852,7.087-5.852,9.562c0,1.333,0.333,2.902,1,4.71c0.666,1.812,1.285,3.287,1.856,4.427 c0.571,1.141,1.477,2.76,2.712,4.856c1.237,2.096,2.048,3.427,2.426,3.999c10.467,18.843,22.508,35.07,36.114,48.681 c13.612,13.613,29.836,25.648,48.682,36.117c0.567,0.384,1.902,1.191,4.004,2.43c2.091,1.232,3.713,2.136,4.853,2.707 c1.143,0.571,2.614,1.191,4.425,1.852c1.811,0.664,3.381,0.999,4.719,0.999c3.036,0,7.225-3.138,12.56-9.418 c5.328-6.286,10.756-12.518,16.276-18.705c5.516-6.181,9.985-9.274,13.418-9.274c1.902,0,3.897,0.473,5.999,1.424 c2.095,0.951,4.469,2.382,7.132,4.284c2.669,1.91,4.476,3.142,5.428,3.721l15.125,8.271c10.089,5.332,18.511,10.041,25.27,14.134 s10.424,6.899,10.996,8.419c0.379,0.951,0.564,2.478,0.564,4.572C365.449,313.199,363.354,322.812,359.159,332.874z\"/></symbol><symbol id=\"email\" viewBox=\"0 0 511.626 511.626\"><title>envelope</title><path d=\"M49.106,178.729c6.472,4.567,25.981,18.131,58.528,40.685c32.548,22.554,57.482,39.92,74.803,52.099 c1.903,1.335,5.946,4.237,12.131,8.71c6.186,4.476,11.326,8.093,15.416,10.852c4.093,2.758,9.041,5.852,14.849,9.277 c5.806,3.422,11.279,5.996,16.418,7.7c5.14,1.718,9.898,2.569,14.275,2.569h0.287h0.288c4.377,0,9.137-0.852,14.277-2.569 c5.137-1.704,10.615-4.281,16.416-7.7c5.804-3.429,10.752-6.52,14.845-9.277c4.093-2.759,9.229-6.376,15.417-10.852 c6.184-4.477,10.232-7.375,12.135-8.71c17.508-12.179,62.051-43.11,133.615-92.79c13.894-9.703,25.502-21.411,34.827-35.116 c9.332-13.699,13.993-28.07,13.993-43.105c0-12.564-4.523-23.319-13.565-32.264c-9.041-8.947-19.749-13.418-32.117-13.418H45.679 c-14.655,0-25.933,4.948-33.832,14.844C3.949,79.562,0,91.934,0,106.779c0,11.991,5.236,24.985,15.703,38.974 C26.169,159.743,37.307,170.736,49.106,178.729z\"/><path d=\"M483.072,209.275c-62.424,42.251-109.824,75.087-142.177,98.501c-10.849,7.991-19.65,14.229-26.409,18.699 c-6.759,4.473-15.748,9.041-26.98,13.702c-11.228,4.668-21.692,6.995-31.401,6.995h-0.291h-0.287 c-9.707,0-20.177-2.327-31.405-6.995c-11.228-4.661-20.223-9.229-26.98-13.702c-6.755-4.47-15.559-10.708-26.407-18.699 c-25.697-18.842-72.995-51.68-141.896-98.501C17.987,202.047,8.375,193.762,0,184.437v226.685c0,12.57,4.471,23.319,13.418,32.265 c8.945,8.949,19.701,13.422,32.264,13.422h420.266c12.56,0,23.315-4.473,32.261-13.422c8.949-8.949,13.418-19.694,13.418-32.265 V184.437C503.441,193.569,493.927,201.854,483.072,209.275z\"/></symbol></svg>\n\n<div *ngIf=\"customerPreference\">\n  <div class=\"np-row\">\n    <np-deliveryoptions [customerPreference]=\"customerPreference\" (save)=\"saveCustomerPreference()\"></np-deliveryoptions>\n  </div>\n  <div>\n    <p>Select the alerts that you would like to receive</p>\n\n    <div class=\"np-row\" *ngFor=\"let alert of customerPreference.alertPreferences\">\n      <div class=\"np-col-sm-12\">\n        <np-alertcard [deliveryOptions]=\"customerPreference.deliveryOptions\" [alertPref]=\"alert\"\n        [externalParameters]=\"externalParameters\"\n        (save)=\"saveCustomerPreference()\"></np-alertcard>\n      </div>\n    </div>\n  </div>\n</div>\n"

/***/ }),
/* 25 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(26));


/***/ }),
/* 26 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var preference_1 = __webpack_require__(4);
var DeliveryoptionsComponent = /** @class */ (function () {
    function DeliveryoptionsComponent() {
        this.save = new core_1.EventEmitter();
        this.newDeliveryOption = new preference_1.DeliveryOption();
        this.adding = false;
    }
    DeliveryoptionsComponent.prototype.ngOnInit = function () {
    };
    DeliveryoptionsComponent.prototype.saveDeliveryOption = function () {
        this.save.emit(null);
    };
    DeliveryoptionsComponent.prototype.addDeliveryOption = function () {
        var count = this.customerPreference.deliveryOptions.length;
        this.newDeliveryOption.id = count === 0 ? 1 : this.customerPreference.deliveryOptions[count - 1].id + 1;
        this.newDeliveryOption.status = 'notVerified';
        this.customerPreference.deliveryOptions.push(this.newDeliveryOption);
        this.cancelDeliveryOption();
        this.save.emit(null);
    };
    DeliveryoptionsComponent.prototype.cancelDeliveryOption = function () {
        this.adding = false;
        this.newDeliveryOption = new preference_1.DeliveryOption();
    };
    DeliveryoptionsComponent.prototype.deleteDeliveryOption = function (deliveryOption) {
        // remove from list of delivery options
        this.customerPreference.deliveryOptions.splice(this.customerPreference.deliveryOptions.indexOf(deliveryOption), 1);
        // Remove from any preference records that reference it
        for (var _i = 0, _a = this.customerPreference.alertPreferences; _i < _a.length; _i++) {
            var pref = _a[_i];
            pref.deliverTo.splice(pref.deliverTo.indexOf(deliveryOption.id), 1);
        }
        this.save.emit(null);
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", preference_1.CustomerPreference)
    ], DeliveryoptionsComponent.prototype, "customerPreference", void 0);
    __decorate([
        core_1.Output(),
        __metadata("design:type", core_1.EventEmitter)
    ], DeliveryoptionsComponent.prototype, "save", void 0);
    DeliveryoptionsComponent = __decorate([
        core_1.Component({
            selector: 'np-deliveryoptions',
            template: __webpack_require__(27),
            styles: [__webpack_require__(28)]
        })
    ], DeliveryoptionsComponent);
    return DeliveryoptionsComponent;
}());
exports.DeliveryoptionsComponent = DeliveryoptionsComponent;


/***/ }),
/* 27 */
/***/ (function(module, exports) {

module.exports = "<h4>Delivery options</h4>\n<div *ngFor=\"let option of this.customerPreference.deliveryOptions\">\n  <np-deliveryoption [deliveryOption]=\"option\" (save)=\"saveDeliveryOption()\" (delete)=\"deleteDeliveryOption()\"></np-deliveryoption>\n</div>\n<button *ngIf=\"!adding\" class=\"np-button\" (click)=\"adding=true\">New Delivery Option</button>\n<div *ngIf=\"adding\" class=\"np-add-delivery-option\">\n    <p class=\"np-section\">Enter an email address or mobile phone number:</p>\n    <input [(ngModel)]=\"newDeliveryOption.value\" placeholder=\"email or mobile number\" />\n    <input [(ngModel)]=\"newDeliveryOption.name\" placeholder=\"Nickname (optional)\" />\n    <span>\n      <button class=\"np-button\" (click)=\"addDeliveryOption()\">Save</button>\n      <button class=\"np-button\" (click)=\"cancelDeliveryOption()\">Cancel</button>\n    </span>\n</div>\n"

/***/ }),
/* 28 */
/***/ (function(module, exports, __webpack_require__) {


        var result = __webpack_require__(29);

        if (typeof result === "string") {
            module.exports = result;
        } else {
            module.exports = result.toString();
        }
    

/***/ }),
/* 29 */
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(2)(undefined);
// imports


// module
exports.push([module.i, ".np-add-delivery-option {\n  background-color: #eee;\n  padding: 10px;\n  max-width: 450px;\n}\n", ""]);

// exports


/***/ }),
/* 30 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(31));


/***/ }),
/* 31 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var preference_1 = __webpack_require__(4);
var DeliveryoptionComponent = /** @class */ (function () {
    function DeliveryoptionComponent() {
        this.save = new core_1.EventEmitter();
        this.delete = new core_1.EventEmitter();
        this.editing = false;
        this.editedOption = new preference_1.DeliveryOption();
    }
    DeliveryoptionComponent.prototype.ngOnInit = function () {
    };
    DeliveryoptionComponent.prototype.editDeliveryOption = function () {
        this.editedOption.name = this.deliveryOption.name;
        this.editedOption.value = this.deliveryOption.value;
        this.editing = true;
    };
    DeliveryoptionComponent.prototype.saveDeliveryOption = function () {
        if (this.editedOption.value !== this.deliveryOption.value) {
            this.deliveryOption.status = 'not validated';
        }
        this.deliveryOption.name = this.editedOption.name;
        this.deliveryOption.value = this.editedOption.value;
        this.editing = false;
        this.save.emit(null);
    };
    DeliveryoptionComponent.prototype.cancelDeliveryOption = function () {
        this.editing = false;
    };
    DeliveryoptionComponent.prototype.deleteDeliveryOption = function (deliveryOption) {
        this.delete.emit(this.deliveryOption);
        this.editing = false;
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", preference_1.DeliveryOption)
    ], DeliveryoptionComponent.prototype, "deliveryOption", void 0);
    __decorate([
        core_1.Output(),
        __metadata("design:type", core_1.EventEmitter)
    ], DeliveryoptionComponent.prototype, "save", void 0);
    __decorate([
        core_1.Output(),
        __metadata("design:type", core_1.EventEmitter)
    ], DeliveryoptionComponent.prototype, "delete", void 0);
    DeliveryoptionComponent = __decorate([
        core_1.Component({
            selector: 'np-deliveryoption',
            template: __webpack_require__(32),
            styles: [__webpack_require__(33)]
        })
    ], DeliveryoptionComponent);
    return DeliveryoptionComponent;
}());
exports.DeliveryoptionComponent = DeliveryoptionComponent;


/***/ }),
/* 32 */
/***/ (function(module, exports) {

module.exports = "\n<span class=\"np-delivery-option\" *ngIf=\"!editing\" (click)=\"editDeliveryOption()\">\n    <svg *ngIf=\"deliveryOption.deliveryType =='text'\" class=\"np-icon\"><use xlink:href=\"#chat\" /></svg>\n    <svg *ngIf=\"deliveryOption.deliveryType =='email'\" class=\"np-icon\"><use xlink:href=\"#email\" /></svg>\n  {{deliveryOption.name}} ({{deliveryOption.value}})\n</span>\n<div *ngIf=\"editing\">\n    <input [(ngModel)]=\"editedOption.value\" placeholder=\"email or mobile number\" />\n    <input [(ngModel)]=\"editedOption.name\" placeholder=\"Nickname (optional)\" />\n    <span>\n      <button class=\"np-button\" (click)=\"saveDeliveryOption()\">Save</button>\n      <button class=\"np-button\" (click)=\"cancelDeliveryOption()\">Cancel</button>\n      <button class=\"np-button\" (click)=\"deleteDeliveryOption()\">Delete</button>\n    </span>\n</div>\n"

/***/ }),
/* 33 */
/***/ (function(module, exports, __webpack_require__) {


        var result = __webpack_require__(34);

        if (typeof result === "string") {
            module.exports = result;
        } else {
            module.exports = result.toString();
        }
    

/***/ }),
/* 34 */
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(2)(undefined);
// imports


// module
exports.push([module.i, ".np-icon {\n  width: 16px;\n  height: 13px;\n}\n\n.np-delivery-option {\n  cursor: pointer;\n}\n", ""]);

// exports


/***/ }),
/* 35 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(36));


/***/ }),
/* 36 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var services_1 = __webpack_require__(1);
var TickTockComponent = /** @class */ (function () {
    /**
     * Component constructor with injected dependencies.
     * @param tickTockService
     */
    function TickTockComponent(tickTockService) {
        this.tickTockService = tickTockService;
    }
    /**
     * Implements onInit event handler.
     */
    TickTockComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.tickTockService.getTick().subscribe(function (timeString) { return _this.currentTime = timeString; });
    };
    TickTockComponent = __decorate([
        core_1.Component({
            selector: 'tick-tock',
            styles: [__webpack_require__(37)],
            template: __webpack_require__(39),
        }),
        __metadata("design:paramtypes", [services_1.TickTockService])
    ], TickTockComponent);
    return TickTockComponent;
}());
exports.TickTockComponent = TickTockComponent;


/***/ }),
/* 37 */
/***/ (function(module, exports, __webpack_require__) {


        var result = __webpack_require__(38);

        if (typeof result === "string") {
            module.exports = result;
        } else {
            module.exports = result.toString();
        }
    

/***/ }),
/* 38 */
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(2)(undefined);
// imports
exports.push([module.i, "@import url(https://fonts.googleapis.com/css?family=Roboto:100);", ""]);

// module
exports.push([module.i, ".tick-tock-time {\n  font-size: 2em;\n  font-family: 'Roboto', 'Helvetica Neue', Helvetica, Arial, sans-serif; }\n", ""]);

// exports


/***/ }),
/* 39 */
/***/ (function(module, exports) {

module.exports = "<div class=\"tick-tock-time\">\n  {{ currentTime }}\n</div>\n"

/***/ }),
/* 40 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var components_1 = __webpack_require__(3);
var services_1 = __webpack_require__(1);
var TickTockModule = /** @class */ (function () {
    function TickTockModule() {
    }
    TickTockModule = __decorate([
        core_1.NgModule({
            providers: [
                services_1.TickTockService,
            ],
            declarations: [
                components_1.TickTockComponent,
            ],
            exports: [
                components_1.TickTockComponent,
            ]
        })
    ], TickTockModule);
    return TickTockModule;
}());
exports.TickTockModule = TickTockModule;


/***/ }),
/* 41 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var common_1 = __webpack_require__(42);
var forms_1 = __webpack_require__(43);
var http_1 = __webpack_require__(6);
var components_1 = __webpack_require__(3);
var services_1 = __webpack_require__(1);
var NetprefsModule = /** @class */ (function () {
    function NetprefsModule() {
    }
    NetprefsModule = __decorate([
        core_1.NgModule({
            providers: [
                services_1.PreferenceService,
            ],
            declarations: [
                components_1.AlertcardComponent,
                components_1.DeliveryoptionsComponent,
                components_1.DeliveryoptionComponent,
                components_1.PreferenceComponent,
                components_1.SliderComponent
            ],
            imports: [
                common_1.CommonModule,
                forms_1.FormsModule,
                http_1.HttpClientModule
            ],
            exports: [
                components_1.AlertcardComponent,
                components_1.DeliveryoptionsComponent,
                components_1.DeliveryoptionComponent,
                components_1.PreferenceComponent,
                components_1.SliderComponent
            ]
        })
    ], NetprefsModule);
    return NetprefsModule;
}());
exports.NetprefsModule = NetprefsModule;


/***/ }),
/* 42 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_42__;

/***/ }),
/* 43 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_43__;

/***/ })
/******/ ]);
});
//# sourceMappingURL=index.umd.js.map