import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
var api = 'http://np-service.azurewebsites.net/api';
// const api = 'http://localhost:3001/api';
var PreferenceService = /** @class */ (function () {
    function PreferenceService(http) {
        this.http = http;
    }
    PreferenceService.prototype.getCustomerPreference = function (clientId, token) {
        return this.http.get(api + "/prefs/" + clientId + "/" + token);
    };
    PreferenceService.prototype.updateCustomerPreference = function (pref) {
        return this.http.put(api + "/prefs/" + pref.clientId + "/" + pref.token, pref);
    };
    PreferenceService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    PreferenceService.ctorParameters = function () { return [
        { type: HttpClient, },
    ]; };
    return PreferenceService;
}());
export { PreferenceService };
//# sourceMappingURL=preference.service.js.map